#
# spec file for package ghc-hspec-core
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name hspec-core
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        2.9.4
Release:        bp154.1.11
Summary:        A Testing Framework for Haskell
License:        MIT
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-ansi-terminal-devel
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-call-stack-devel
BuildRequires:  ghc-clock-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-ghc-boot-th-devel
BuildRequires:  ghc-ghc-devel
BuildRequires:  ghc-hspec-expectations-devel
BuildRequires:  ghc-quickcheck-io-devel
BuildRequires:  ghc-random-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-setenv-devel
BuildRequires:  ghc-stm-devel
BuildRequires:  ghc-tf-random-devel
BuildRequires:  ghc-transformers-devel
ExcludeArch:    %{ix86}
%if %{with tests}
BuildRequires:  ghc-base-orphans-devel
BuildRequires:  ghc-hspec-meta-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-silently-devel
BuildRequires:  ghc-temporary-devel
%endif

%description
This package exposes internal types and functions that can be used to extend
Hspec's functionality.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%autosetup -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files

%changelog
* Thu Dec  9 2021 Peter Simons <psimons@suse.com>
- Update hspec-core to version 2.9.4.
  Upstream does not provide a change log file.
* Sat Nov 20 2021 psimons@suse.com
- Update hspec-core to version 2.9.1 revision 1.
  Upstream has revised the Cabal build instructions on Hackage.
* Tue Nov 16 2021 psimons@suse.com
- Update hspec-core to version 2.9.1.
  Upstream does not provide a change log file.
* Mon Nov 15 2021 psimons@suse.com
- Update hspec-core to version 2.9.0.
  Upstream does not provide a change log file.
* Sun Nov  7 2021 psimons@suse.com
- Update hspec-core to version 2.8.4.
  Upstream does not provide a change log file.
* Fri Aug 13 2021 psimons@suse.com
- Update hspec-core to version 2.8.3.
  Upstream does not provide a change log file.
* Sat May 15 2021 psimons@suse.com
- Update hspec-core to version 2.8.2.
  Upstream does not provide a change log file.
* Wed May 12 2021 psimons@suse.com
- Update hspec-core to version 2.8.1.
  Upstream does not provide a change log file.
* Tue May 11 2021 psimons@suse.com
- Update hspec-core to version 2.8.0.
  Upstream does not provide a change log file.
* Thu Apr 15 2021 psimons@suse.com
- Update hspec-core to version 2.7.10.
  Upstream does not provide a change log file.
* Mon Mar 22 2021 psimons@suse.com
- Update hspec-core to version 2.7.9.
  Upstream does not provide a change log file.
* Sun Jan 24 2021 psimons@suse.com
- Update hspec-core to version 2.7.8 revision 1.
  Upstream has revised the Cabal build instructions on Hackage.
* Mon Jan 18 2021 psimons@suse.com
- Update hspec-core to version 2.7.8.
  Upstream does not provide a change log file.
* Mon Jan 18 2021 psimons@suse.com
- Update hspec-core to version 2.7.7.
  Upstream does not provide a change log file.
* Fri Jan  8 2021 psimons@suse.com
- Update hspec-core to version 2.7.6.
  Upstream does not provide a change log file.
* Mon Jan  4 2021 psimons@suse.com
- Update hspec-core to version 2.7.5.
  Upstream does not provide a change log file.
* Thu Dec 17 2020 Ondřej Súkup <mimi.vx@gmail.com>
- disable %%{ix86} build
* Tue Sep  1 2020 psimons@suse.com
- Update hspec-core to version 2.7.4.
  Upstream does not provide a change log file.
* Fri Nov  8 2019 Peter Simons <psimons@suse.com>
- Drop obsolete group attributes.
* Sat Mar 30 2019 psimons@suse.com
- Update hspec-core to version 2.7.1.
  Upstream does not provide a change log file.
* Fri Jan 18 2019 psimons@suse.com
- Update hspec-core to version 2.7.0.
  Upstream does not provide a change log file.
* Tue Jan  1 2019 psimons@suse.com
- Update hspec-core to version 2.6.1.
  Upstream does not provide a change log file.
* Sun Nov  4 2018 psimons@suse.com
- Update hspec-core to version 2.6.0.
  Upstream does not provide a change log file.
* Wed Oct 10 2018 psimons@suse.com
- Update hspec-core to version 2.5.8.
  Upstream does not provide a change log file.
* Wed Jul 18 2018 psimons@suse.com
- Cosmetic: replace tabs with blanks, strip trailing white space,
  and update copyright headers with spec-cleaner.
* Tue Jul 17 2018 psimons@suse.com
- Update hspec-core to version 2.5.5.
  Upstream does not provide a change log file.
* Fri Jul 13 2018 psimons@suse.com
- Update hspec-core to version 2.5.4.
  Upstream does not provide a change log file.
* Mon May 14 2018 psimons@suse.com
- Update hspec-core to version 2.5.0.
  Upstream does not provide a changelog.
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Thu Jul 27 2017 psimons@suse.com
- Update to version 2.4.4.
* Sat May 27 2017 psimons@suse.com
- Update to version 2.4.3 revision 1.
* Mon Mar 27 2017 psimons@suse.com
- Update to version 2.4.3 with cabal2obs.
* Mon Feb 27 2017 psimons@suse.com
- Update to version 2.4.2 with cabal2obs.
* Sun Feb 12 2017 psimons@suse.com
- Update to version 2.4.1 with cabal2obs.
* Tue Nov  1 2016 psimons@suse.com
- Update to version 2.2.4 revision 1 with cabal2obs.
* Thu Oct  6 2016 psimons@suse.com
- Update to version 2.2.3 revision 1 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 2.2.3 revision 0 with cabal2obs.
